> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/android/standalone-modules/document-detector/builder/capture_stage.md).

# Capture Stages

To improve the client's UX, we recommend creating difficulty stages for the DocumentDetector. For this, we offer the **`CaptureStage`** object, where you can set the following parameters:

| Parameter                  | Description                                                                                                                       |
| -------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| `captureMode: CaptureMode` | Document capture mode: `CaptureMode.AUTOMATIC` or `CaptureMode.MANUAL`. In manual mode, a capture button is enabled for the user. |
| `durationMillis: Long?`    | Duration of the stage in milliseconds. Use `null` for no timeout.                                                                 |
| `wantSensorCheck: Boolean` | Enables or disables sensor usage for photo capture.                                                                               |

## Default value

Since the **`.setCaptureStages`** parameter is not required, if it is not used, the **`DocumentDetector`** will use this default:

```kotlin
listOf {
    CaptureStage(CaptureMode.AUTOMATIC, 30000L, true),
    CaptureStage(CaptureMode.AUTOMATIC, 15000L, false),
    CaptureStage(CaptureMode.MANUAL, null, false)
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/android/standalone-modules/document-detector/builder/capture_stage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
